/**
 * IVXBMO.java
 *
 * File generated from the medication::IVXBMO uml Class
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

// End of user code
import java.util.List;

import javax.xml.bind.JAXBContext;
import javax.xml.bind.JAXBException;
import javax.xml.bind.Marshaller;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;
import javax.xml.bind.annotation.XmlType;
import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.ParserConfigurationException;

import org.w3c.dom.Document;
import org.w3c.dom.Node;

import net.ihe.gazelle.gen.common.ConstraintValidatorModule;


/**
 * Description of the class IVXBMO.
 *
 */

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "IVXB_MO", propOrder = {
	"inclusive"
})
@XmlRootElement(name = "IVXB_MO")
public class IVXBMO extends net.ihe.gazelle.medication.MO implements java.io.Serializable {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	
	/**
	 *                       Specifies whether the limit is
	                            included in the                      interval (interval is closed) or
	                            excluded from the                      interval (interval is open).
	                        .
	 */
	@XmlAttribute(name = "inclusive")
	public java.lang.Boolean inclusive;
	
	/**
	 * An attribute containing marshalled element node
	 */
	@XmlTransient
	private org.w3c.dom.Node _xmlNodePresentation;
	
	
	/**
	 * Return inclusive.
	 * @return inclusive :                       Specifies whether the limit is
	                            included in the                      interval (interval is closed) or
	                            excluded from the                      interval (interval is open).
	                                              Specifies whether the limit is
	                            included in the                      interval (interval is closed) or
	                            excluded from the                      interval (interval is open).
	                                              Specifies whether the limit is
	                            included in the                      interval (interval is closed) or
	                            excluded from the                      interval (interval is open).
	                                              Specifies whether the limit is
	                            included in the                      interval (interval is closed) or
	                            excluded from the                      interval (interval is open).
	                                              Specifies whether the limit is
	                            included in the                      interval (interval is closed) or
	                            excluded from the                      interval (interval is open).
	                                              Specifies whether the limit is
	                            included in the                      interval (interval is closed) or
	                            excluded from the                      interval (interval is open).
	                                              Specifies whether the limit is
	                            included in the                      interval (interval is closed) or
	                            excluded from the                      interval (interval is open).
	                        
	 */
	public java.lang.Boolean getInclusive() {
	    return inclusive;
	}
	
	/**
	 * Set a value to attribute inclusive.
	 * @param inclusive :                       Specifies whether the limit is
	                            included in the                      interval (interval is closed) or
	                            excluded from the                      interval (interval is open).
	                                              Specifies whether the limit is
	                            included in the                      interval (interval is closed) or
	                            excluded from the                      interval (interval is open).
	                                              Specifies whether the limit is
	                            included in the                      interval (interval is closed) or
	                            excluded from the                      interval (interval is open).
	                                              Specifies whether the limit is
	                            included in the                      interval (interval is closed) or
	                            excluded from the                      interval (interval is open).
	                                              Specifies whether the limit is
	                            included in the                      interval (interval is closed) or
	                            excluded from the                      interval (interval is open).
	                                              Specifies whether the limit is
	                            included in the                      interval (interval is closed) or
	                            excluded from the                      interval (interval is open).
	                                              Specifies whether the limit is
	                            included in the                      interval (interval is closed) or
	                            excluded from the                      interval (interval is open).
	                        .
	 */
	public void setInclusive(java.lang.Boolean inclusive) {
	    this.inclusive = inclusive;
	}
	
	
	
	
	
	public Node get_xmlNodePresentation() {
		if (_xmlNodePresentation == null){
				JAXBContext jc;
				DocumentBuilderFactory dbf = DocumentBuilderFactory.newInstance();
				dbf.setNamespaceAware(true);
				DocumentBuilder db = null;
				Document doc = null;
				try {
					db = dbf.newDocumentBuilder();
					doc = db.newDocument();
				} catch (ParserConfigurationException e1) {}
				try {
					jc = JAXBContext.newInstance("net.ihe.gazelle.medication");
					Marshaller m = jc.createMarshaller();
					m.marshal(this, doc);
					_xmlNodePresentation = doc.getElementsByTagNameNS("urn:epsos-org:ep:medication", "IVXB_MO").item(0);
				} catch (JAXBException e) {
					try{
						db = dbf.newDocumentBuilder();
						_xmlNodePresentation = db.newDocument();
					}
					catch(Exception ee){}
				}
			}
			return _xmlNodePresentation;
	}
	
	public void set_xmlNodePresentation(Node _xmlNodePresentation) {
		this._xmlNodePresentation = _xmlNodePresentation;
	}
	
	
	

	
	/**
     * validate by a module of validation
     * 
     */
   public static void validateByModule(IVXBMO iVXBMO, String location, ConstraintValidatorModule cvm, List<net.ihe.gazelle.validation.Notification> diagnostic){
   		if (iVXBMO != null){
   			net.ihe.gazelle.medication.MO.validateByModule(iVXBMO, location, cvm, diagnostic);
    	}
    }

}